View Issue Details

IDProjectCategoryView StatusLast Update
0024563mantisbtbugtrackerpublic2018-07-07 15:17
ReporterFeelGoodAssigned Toatrol 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionno change required 
Product Version2.15.0 
Target VersionFixed in Version 
Summary0024563: Status button always black
Description

Hi,

After migration from 1.2.1 to 2.15.0, the status icon is always black on all bugs.

I verified my config_default_inc.php and it's appears all it's OK :

$g_status_colors = array(
'new' => '#fcbdbd', # red (scarlet red #ef2929)
'feedback' => '#e3b7eb', # purple (plum #75507b)
'acknowledged' => '#ffcd85', # orange (orango #f57900)
'confirmed' => '#fff494', # yellow (butter #fce94f)
'assigned' => '#c2dfff', # blue (sky blue #729fcf)
'resolved' => '#d2f5b0', # green (chameleon #8ae234)
'closed' => '#c9ccc4' # grey (aluminum #babdb6)
);

If anyone have an idead.

Thanks.

TagsNo tags attached.

Relationships

related to 0024189 acknowledged Some statusses become 'Black' 

Activities

FeelGood

FeelGood

2018-06-25 03:18

reporter  

mantis.PNG (22,345 bytes)
mantis.PNG (22,345 bytes)
atrol

atrol

2018-06-25 03:26

developer   ~0060134

Does clearing browser cache and cookies fix the issue?

FeelGood

FeelGood

2018-06-25 03:42

reporter   ~0060135

No, I tried to clear cache and cookies of my browser (tested on Firefox, Chrome and IE11) but same issue.

atrol

atrol

2018-06-25 03:45

developer   ~0060136

Do you have anonymous account enabled?
Does log out from Mantis, log in to Mantis fix the issue?

FeelGood

FeelGood

2018-06-25 03:59

reporter   ~0060137

No, anonymous account is OFF on my config_inc_default.php.

Logout/login doesn't resolve the problem.

I show the mantis access log and I have no clue about this bug.

atrol

atrol

2018-06-25 04:05

developer   ~0060138

Do you see any errors in browser console?
Do you see any errors or warnings in webserver or PHP error log?
Do you get any errors or warnings when running admin/check/index.php?

FeelGood

FeelGood

2018-06-25 04:30

reporter   ~0060139

I have many database errors when I run admin/check/index.php, (sorry for this copy/paste). No error in PHP.

Database

mysqli.allow_local_infile php.ini directive is set to 0
mysqli.allow_local_infile should be disabled to prevent remote attackers to access local files (see issue 0023173). WARN
Can open connection to database mantis_v1 on host localhost with username mantisuser FAIL
SYSTEM WARNING: mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50556 Library:50637
Raised in file /var/www/html/mantis/vendor/adodb/adodb-php/drivers/adodb-mysqli.inc.php on line 124
Database default collation is UTF-8
Database is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bug_file_table is using UTF-8 collation
Table mantis_bug_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bug_history_table is using UTF-8 collation
Table mantis_bug_history_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bug_monitor_table is using UTF-8 collation
Table mantis_bug_monitor_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bug_relationship_table is using UTF-8 collation
Table mantis_bug_relationship_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bug_table is using UTF-8 collation
Table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bug_tag_table is using UTF-8 collation
Table mantis_bug_tag_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bug_text_table is using UTF-8 collation
Table mantis_bug_text_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bugnote_table is using UTF-8 collation
Table mantis_bugnote_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_bugnote_text_table is using UTF-8 collation
Table mantis_bugnote_text_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_config_table is using UTF-8 collation
Table mantis_config_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_custom_field_project_table is using UTF-8 collation
Table mantis_custom_field_project_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_custom_field_string_table is using UTF-8 collation
Table mantis_custom_field_string_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_custom_field_table is using UTF-8 collation
Table mantis_custom_field_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_email_table is using UTF-8 collation
Table mantis_email_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_filters_table is using UTF-8 collation
Table mantis_filters_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_news_table is using UTF-8 collation
Table mantis_news_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_project_file_table is using UTF-8 collation
Table mantis_project_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_project_hierarchy_table is using UTF-8 collation
Table mantis_project_hierarchy_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_project_table is using UTF-8 collation
Table mantis_project_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_project_user_list_table is using UTF-8 collation
Table mantis_project_user_list_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_project_version_table is using UTF-8 collation
Table mantis_project_version_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_sponsorship_table is using UTF-8 collation
Table mantis_sponsorship_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_tag_table is using UTF-8 collation
Table mantis_tag_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_tokens_table is using UTF-8 collation
Table mantis_tokens_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_upgrade_table is using UTF-8 collation
Table mantis_upgrade_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_user_pref_table is using UTF-8 collation
Table mantis_user_pref_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_user_print_pref_table is using UTF-8 collation
Table mantis_user_print_pref_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_user_profile_table is using UTF-8 collation
Table mantis_user_profile_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Table mantis_user_table is using UTF-8 collation
Table mantis_user_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column title of type varchar(250) on table mantis_bug_file_table is using UTF-8 collation
Text column title of type varchar(250) on table mantis_bug_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column description of type varchar(250) on table mantis_bug_file_table is using UTF-8 collation
Text column description of type varchar(250) on table mantis_bug_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column diskfile of type varchar(250) on table mantis_bug_file_table is using UTF-8 collation
Text column diskfile of type varchar(250) on table mantis_bug_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column filename of type varchar(250) on table mantis_bug_file_table is using UTF-8 collation
Text column filename of type varchar(250) on table mantis_bug_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column folder of type varchar(250) on table mantis_bug_file_table is using UTF-8 collation
Text column folder of type varchar(250) on table mantis_bug_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column file_type of type varchar(250) on table mantis_bug_file_table is using UTF-8 collation
Text column file_type of type varchar(250) on table mantis_bug_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column field_name of type varchar(64) on table mantis_bug_history_table is using UTF-8 collation
Text column field_name of type varchar(64) on table mantis_bug_history_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column old_value of type varchar(255) on table mantis_bug_history_table is using UTF-8 collation
Text column old_value of type varchar(255) on table mantis_bug_history_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column new_value of type varchar(255) on table mantis_bug_history_table is using UTF-8 collation
Text column new_value of type varchar(255) on table mantis_bug_history_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column os of type varchar(32) on table mantis_bug_table is using UTF-8 collation
Text column os of type varchar(32) on table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column os_build of type varchar(32) on table mantis_bug_table is using UTF-8 collation
Text column os_build of type varchar(32) on table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column platform of type varchar(32) on table mantis_bug_table is using UTF-8 collation
Text column platform of type varchar(32) on table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column version of type varchar(64) on table mantis_bug_table is using UTF-8 collation
Text column version of type varchar(64) on table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column fixed_in_version of type varchar(64) on table mantis_bug_table is using UTF-8 collation
Text column fixed_in_version of type varchar(64) on table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column build of type varchar(32) on table mantis_bug_table is using UTF-8 collation
Text column build of type varchar(32) on table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column summary of type varchar(128) on table mantis_bug_table is using UTF-8 collation
Text column summary of type varchar(128) on table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column target_version of type varchar(64) on table mantis_bug_table is using UTF-8 collation
Text column target_version of type varchar(64) on table mantis_bug_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column description of type longtext on table mantis_bug_text_table is using UTF-8 collation
Text column description of type longtext on table mantis_bug_text_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column steps_to_reproduce of type longtext on table mantis_bug_text_table is using UTF-8 collation
Text column steps_to_reproduce of type longtext on table mantis_bug_text_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column additional_information of type longtext on table mantis_bug_text_table is using UTF-8 collation
Text column additional_information of type longtext on table mantis_bug_text_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column note_attr of type varchar(250) on table mantis_bugnote_table is using UTF-8 collation
Text column note_attr of type varchar(250) on table mantis_bugnote_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column note of type longtext on table mantis_bugnote_text_table is using UTF-8 collation
Text column note of type longtext on table mantis_bugnote_text_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column config_id of type varchar(64) on table mantis_config_table is using UTF-8 collation
Text column config_id of type varchar(64) on table mantis_config_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column value of type longtext on table mantis_config_table is using UTF-8 collation
Text column value of type longtext on table mantis_config_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column value of type varchar(255) on table mantis_custom_field_string_table is using UTF-8 collation
Text column value of type varchar(255) on table mantis_custom_field_string_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column text of type longtext on table mantis_custom_field_string_table is using UTF-8 collation
Text column text of type longtext on table mantis_custom_field_string_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column name of type varchar(64) on table mantis_custom_field_table is using UTF-8 collation
Text column name of type varchar(64) on table mantis_custom_field_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column possible_values of type text on table mantis_custom_field_table is using UTF-8 collation
Text column possible_values of type text on table mantis_custom_field_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column default_value of type varchar(255) on table mantis_custom_field_table is using UTF-8 collation
Text column default_value of type varchar(255) on table mantis_custom_field_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column valid_regexp of type varchar(255) on table mantis_custom_field_table is using UTF-8 collation
Text column valid_regexp of type varchar(255) on table mantis_custom_field_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column email of type varchar(64) on table mantis_email_table is using UTF-8 collation
Text column email of type varchar(64) on table mantis_email_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column subject of type varchar(250) on table mantis_email_table is using UTF-8 collation
Text column subject of type varchar(250) on table mantis_email_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column metadata of type longtext on table mantis_email_table is using UTF-8 collation
Text column metadata of type longtext on table mantis_email_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column body of type longtext on table mantis_email_table is using UTF-8 collation
Text column body of type longtext on table mantis_email_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column name of type varchar(64) on table mantis_filters_table is using UTF-8 collation
Text column name of type varchar(64) on table mantis_filters_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column filter_string of type longtext on table mantis_filters_table is using UTF-8 collation
Text column filter_string of type longtext on table mantis_filters_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column headline of type varchar(64) on table mantis_news_table is using UTF-8 collation
Text column headline of type varchar(64) on table mantis_news_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column body of type longtext on table mantis_news_table is using UTF-8 collation
Text column body of type longtext on table mantis_news_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column title of type varchar(250) on table mantis_project_file_table is using UTF-8 collation
Text column title of type varchar(250) on table mantis_project_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column description of type varchar(250) on table mantis_project_file_table is using UTF-8 collation
Text column description of type varchar(250) on table mantis_project_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column diskfile of type varchar(250) on table mantis_project_file_table is using UTF-8 collation
Text column diskfile of type varchar(250) on table mantis_project_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column filename of type varchar(250) on table mantis_project_file_table is using UTF-8 collation
Text column filename of type varchar(250) on table mantis_project_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column folder of type varchar(250) on table mantis_project_file_table is using UTF-8 collation
Text column folder of type varchar(250) on table mantis_project_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column file_type of type varchar(250) on table mantis_project_file_table is using UTF-8 collation
Text column file_type of type varchar(250) on table mantis_project_file_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column name of type varchar(128) on table mantis_project_table is using UTF-8 collation
Text column name of type varchar(128) on table mantis_project_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column file_path of type varchar(250) on table mantis_project_table is using UTF-8 collation
Text column file_path of type varchar(250) on table mantis_project_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column description of type longtext on table mantis_project_table is using UTF-8 collation
Text column description of type longtext on table mantis_project_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column version of type varchar(64) on table mantis_project_version_table is using UTF-8 collation
Text column version of type varchar(64) on table mantis_project_version_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column description of type longtext on table mantis_project_version_table is using UTF-8 collation
Text column description of type longtext on table mantis_project_version_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column logo of type varchar(128) on table mantis_sponsorship_table is using UTF-8 collation
Text column logo of type varchar(128) on table mantis_sponsorship_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column url of type varchar(128) on table mantis_sponsorship_table is using UTF-8 collation
Text column url of type varchar(128) on table mantis_sponsorship_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column name of type varchar(100) on table mantis_tag_table is using UTF-8 collation
Text column name of type varchar(100) on table mantis_tag_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column description of type longtext on table mantis_tag_table is using UTF-8 collation
Text column description of type longtext on table mantis_tag_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column value of type longtext on table mantis_tokens_table is using UTF-8 collation
Text column value of type longtext on table mantis_tokens_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column upgrade_id of type char(20) on table mantis_upgrade_table is using UTF-8 collation
Text column upgrade_id of type char(20) on table mantis_upgrade_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column description of type char(255) on table mantis_upgrade_table is using UTF-8 collation
Text column description of type char(255) on table mantis_upgrade_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column bugnote_order of type varchar(4) on table mantis_user_pref_table is using UTF-8 collation
Text column bugnote_order of type varchar(4) on table mantis_user_pref_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column language of type varchar(32) on table mantis_user_pref_table is using UTF-8 collation
Text column language of type varchar(32) on table mantis_user_pref_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column timezone of type varchar(32) on table mantis_user_pref_table is using UTF-8 collation
Text column timezone of type varchar(32) on table mantis_user_pref_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column print_pref of type varchar(64) on table mantis_user_print_pref_table is using UTF-8 collation
Text column print_pref of type varchar(64) on table mantis_user_print_pref_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column platform of type varchar(32) on table mantis_user_profile_table is using UTF-8 collation
Text column platform of type varchar(32) on table mantis_user_profile_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column os of type varchar(32) on table mantis_user_profile_table is using UTF-8 collation
Text column os of type varchar(32) on table mantis_user_profile_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column os_build of type varchar(32) on table mantis_user_profile_table is using UTF-8 collation
Text column os_build of type varchar(32) on table mantis_user_profile_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column description of type longtext on table mantis_user_profile_table is using UTF-8 collation
Text column description of type longtext on table mantis_user_profile_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column username of type varchar(191) on table mantis_user_table is using UTF-8 collation
Text column username of type varchar(191) on table mantis_user_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column realname of type varchar(191) on table mantis_user_table is using UTF-8 collation
Text column realname of type varchar(191) on table mantis_user_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column email of type varchar(191) on table mantis_user_table is using UTF-8 collation
Text column email of type varchar(191) on table mantis_user_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column password of type varchar(64) on table mantis_user_table is using UTF-8 collation
Text column password of type varchar(64) on table mantis_user_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL
Text column cookie_string of type varchar(64) on table mantis_user_table is using UTF-8 collation
Text column cookie_string of type varchar(64) on table mantis_user_table is using latin1_swedish_ci collation where UTF-8 collation is required. FAIL

atrol

atrol

2018-06-25 04:44

developer   ~0060140

The checking stops with a FAIL message, so some checks are missing.
Search the web for how to change database collation in mysql for measures to fix it.
After that, run again admin/check/index.php where you might see even more errors or warnings.

Concerning the following message

Can open connection to database mantis_v1 on host localhost with username mantisuser FAIL
SYSTEM WARNING: mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50556 Library:50637

This might help to fix it: https://stackoverflow.com/questions/10759334/headers-and-client-library-minor-version-mismatch

FeelGood,

This is not a bug or feature request for MantisBT (you are asking for help on how to configure your operating environment). I am therefore resolving this issue as "no change required".

Feel free to reopen the issue if you see this problem after fixing the errors and warnings.

Please use the forums to get support on customizing and using MantisBT (refer to http://www.mantisbt.org/support.php for links and further details).

FeelGood

FeelGood

2018-06-25 05:14

reporter   ~0060143

Ok, thank you for you help, I go to fix this issue ans see if the status color bug is resolved.

Thanks.

FeelGood

FeelGood

2018-06-25 10:03

reporter   ~0060151

I resolved all FAIL messages, my Mantis configuration is now OK.

But the status is always black, even I change it to an other status.

atrol

atrol

2018-06-25 10:15

developer   ~0060152

Still missing the answer to

Do you see any errors in browser console?

I was not able to reproduce your problem with a fresh install of 2.15.0

The following additional information may be useful:

  • Exact version of PHP, Database, Web server, Browser and Operating System
  • Relevant customizations (e.g. changes in config_inc.php, etc)
  • Installed plugins or custom functions ?
  • Was the MantisBT source code modified in any way ?
  • Is there a proxy or reverse proxy between your browser and the web server ?
FeelGood

FeelGood

2018-06-25 10:41

reporter   ~0060154

Sorry, no errors in browser console (Firefox).

About addtional informations :

  • System Information => OS : CentOS 7.5 / PHP : 5.6.36 (Zend OPcache) / MySQL : 5.7.22 / Apache : 2.4.6 / Browser : Firefox, Chrome and IE11 ;
  • I have any customizations ;
  • Plugins installed : Only the base (cf. attachment) ;
  • There is no source code modified on our MantisBT ;
  • There is no proxy or reverse proxy between browser and webserver (internal server).

For information, this MantisBT has been migrated directly from MantisBT 1.2.8.



mantis-2.PNG (81,221 bytes)
mantis-2.PNG (81,221 bytes)
atrol

atrol

2018-06-25 11:11

developer   ~0060155

What do you get when accessing <YourMantisUrl>/css/status_config.php ?
Do you get the same issue when using English language settings ?

FeelGood

FeelGood

2018-06-25 11:34

reporter   ~0060156

I have a blank page when access to /css/status_config.php (code 200 on Apache logs).

I changed the language settings and yes, I have the same issue.

I tried to reinstall a fresh Mantis 2.15.0 with the same database and I have the same problem.

Then, I install a fresh Mantis 2.15.0 with a new database and the issue is resolved.

So may be the problem is in database ?

May be I can import my bugs, projects and users on the new fresh install to avoid this bug ?

atrol

atrol

2018-06-25 14:30

developer   ~0060157

Are there any values in database table mantis_config_table where config_id is status_enum_string ?

FeelGood

FeelGood

2018-06-26 03:18

reporter   ~0060159

Yes, there is this values :

10:ouvert,20:precision,30:qualifie,40:resolution,50:validation,60:palliatif,80:rejete,90:ferme

atrol

atrol

2018-06-26 03:32

developer   ~0060160

Do you still see the problem if you change status_enum_string to status_enum_string_old ?

FeelGood

FeelGood

2018-06-26 04:38

reporter   ~0060162

The problem is resolved after renaming table "status_enum_string", yes.

I can see now the rights colors about status. Thank you for your help.

But I've something wrong which appears (cf.attachment). I see a status "@60@"

May be it's better to open a new bug ticket ?

FeelGood

FeelGood

2018-06-26 04:38

reporter   ~0060163

The attachment, sorry.



mantis-3.PNG (7,476 bytes)
mantis-3.PNG (7,476 bytes)
atrol

atrol

2018-06-26 04:48

developer   ~0060164

I assume you forgot to copy the file custom_strings_inc.php of your old installation to folder config of your new installation.

FeelGood

FeelGood

2018-06-26 06:40

reporter   ~0060168

In fact, I forgot the old custom_strings_inc.php, I copy/paste on my config folder on my new installation but the @60@ appears again.

I verified on database what should be wrong but no success.

atrol

atrol

2018-06-26 08:04

developer   ~0060170

The problem is resolved after renaming table "status_enum_string", yes.

As this is working now, remove the entry from database

Check if there is the folliwing line in file config_inc.php, if not add it to the file

$g_status_enum_string = '10:ouvert,20:precision,30:qualifie,40:resolution,50:validation,60:palliatif,80:rejete,90:ferme';

Maybe your problem is gone after that.

I forgot the old custom_strings_inc.php

Attach the file to the issue. I assume there could be something wrong with it.

FeelGood

FeelGood

2018-06-26 08:48

reporter   ~0060171

Yes, I add the line "$g_status_enum_string" on my config_inc.php and now everything works fine.

I attached my custom_strings_inc.php for information but it seems now all is good.

Thanks a lot.



custom_strings_inc.php (7,359 bytes)
<?php
        $s_severity_enum_string = '10:sp&eacute;cification,30:texte,40:cosm&eacute;tique,50:mineur,60:majeur,80:bloquant';
        $s_status_enum_string = '10:Ouvert,20:En attente de pr&eacute;cisions,30:Qualifi&eacute;,40:En cours de r&eacute;solution,50:En attente de validation,60:Palliatif valid&eacute;,80:Correctif rejet&eacute;,90:Ferm&eacute;';

//	$s_resolution_enum_string = '10:Non,20:Oui';
//	$s_resolution = 'Afficher dans les changements';	

        $s_ouvert_bug_button = 'Confirmer';
        $s_ouvert_bug_title = 'Valider l\'ouverture de l\'anomalie';

        $s_precision_bug_button = 'Confirmer';
        $s_precision_bug_title = 'Demander une pr&eacute;cision';

        $s_qualifie_bug_button = 'Confirmer';
        $s_qualifie_bug_title = 'Valider la qualification';

        $s_resolution_bug_button = 'Confirmer';
        $s_resolution_bug_title = 'Valider la r&eacute;solution';

        $s_validation_bug_button = 'Confirmer';
        $s_validation_bug_title = 'Demander la valdation';

        $s_palliatif_bug_button = 'Confirmer';
        $s_palliatif_bug_title = 'Valider le correctif';

        $s_rejete_bug_button = 'Confirmer';
        $s_rejete_bug_title = 'Rejeter un correctif';

        $s_ferme_bug_button = 'Confirmer';
        $s_ferme_bug_title = 'Fermer l\'anomalie';

        $s_my_view_title_resolved = 'En attente de validation';
        $s_my_view_title_closed = 'Ferm&eacute;s';
        $s_my_view_title_reported = 'Mes rapports';
        $s_my_view_title_monitored = 'Rapports surveill&eacute;s';
        $s_my_view_title_recent_mod = 'Derniers rapports mis &agrave; jour';
        $s_my_view_title_unassigned = 'Rapports non assign&eacute;s';

        $s_email_on_new = 'Courriel en cas de nouvelle anomalie';
        $s_email_on_assigned = 'Courriel en cas de d\'attente de validation';
        $s_email_on_feedback = 'Courriel en cas d\'attente de pr&eacute;cisions';
        $s_email_on_resolved = 'Courriel en cas de rejet de corretif';
        $s_email_on_closed = 'Courriel en cas de fermeture';

        $s_new_account_subject = 'Enregistrement de compte';
        $s_new_account_greeting = 'Votre adresse email a été assignée à un compte d\'Harmonie Bug Tracker. Votre login est « ';
        $s_new_account_greeting2 = ' ». Pour compléter la création de ce compte, merci de visiter le lien suivant (vérifiez qu\'il commence bien par http://tracker.harmonie-technologie.com) et entrer votre mot de passe sur le formulaire';
        $s_new_account_message = 'Si vous n\'aviez fait aucune demande d\'accès auprès d\'Harmonie, ignorez ce message et rien ne sera fait.';
        $s_new_account_do_not_reply = '';

$s_reset_request_msg = "Une demande de r&eacute;initialisation de votre mot de passe a &eacute;t&eacute; formul&eacute;e sur le tracker Harmonie Technologie.<br />Afin de compl&eacute;ter cette op&eacute;ration, veuillez cliquer sur le lien ci-dessous et saisir votre nouveau mot de passe.<br />Si vous souhaitez conserver votre mot de passe actuel, merci d'ignorer ce message.";

		$s_email_notification_title_for_status_bug_ouvert  = 'L\'anomalie suivante a été ouverte';
        $s_email_notification_title_for_status_bug_ferme = 'L\'anomalie suivante a été fermée';
		$s_email_notification_title_for_status_bug_qualifie = 'L\'anomalie suivante a été qualifiée';
		$s_email_notification_title_for_status_bug_resolution = 'L\'anomalie suivante est en cours de résolution';
		$s_email_notification_title_for_status_bug_palliatif = 'Le palliatif de l\'anomalie suivante a été rejeté';
		$s_email_notification_title_for_status_bug_rejete = 'Le correctif de l\'anomalie suivante a été rejeté';
		$s_email_notification_title_for_status_bug_new = 'L\'anomalie suivante est maintenant à l\'état « nouveau » (encore)';
		$s_email_notification_title_for_status_bug_feedback = 'L\'anomalie suivante nécessite votre commentaire.';
		$s_email_notification_title_for_status_bug_acknowledged = 'L\'anomalie suivante a été acceptée.';
		$s_email_notification_title_for_status_bug_confirmed = 'L\'anomalie suivante a été confirmée.';
		$s_email_notification_title_for_status_bug_assigned = 'L\'anomalie suivante a été assignée.';
		$s_email_notification_title_for_status_bug_resolved = 'L\'anomalie suivante a été résolue.';
		$s_email_notification_title_for_status_bug_closed = 'L\'anomalie suivante a été fermée.';

		$s_email_notification_title_for_action_bug_submitted = 'L\'anomalie suivante a été soumise.';
		$s_email_notification_title_for_action_bug_assigned = 'L\'anomalie suivante a été assignée.';
		$s_email_notification_title_for_action_bug_reopened = 'L\'anomalie suivante a été rouverte.';
		$s_email_notification_title_for_action_bug_deleted = 'L\'anomalie suivante a été supprimée.';
		$s_email_notification_title_for_action_bug_updated = 'L\'anomalie suivante a été mise à jour.';
		$s_email_notification_title_for_action_sponsorship_added = 'L\'anomalie suivante a été commanditée.';
		$s_email_notification_title_for_action_sponsorship_updated = 'Un commanditaire de l\'anomalie suivante a été modifiée.';
		$s_email_notification_title_for_action_sponsorship_deleted = 'Un commanditaire de l\'anomalie suivante a été retirée.';

		$s_email_notification_title_for_action_bugnote_submitted = 'Une note a été ajoutée à ce bogue.';
		$s_email_notification_title_for_action_duplicate_of_relationship_added = 'L\'anomalie suivante a été défini comme DOUBLON de l\anomalie %s.';
		$s_email_notification_title_for_action_has_duplicate_relationship_added = 'L\'anomalie %s a été définie comme DOUBLON de l\anomalie suivant.';
		$s_email_notification_title_for_action_related_to_relationship_added = 'L\'anomalie suivante a été LIÉE à l\'anomalie %s.';
		$s_email_notification_title_for_action_dependant_on_relationship_added = 'L\'anomalie suivante a été définie comme PARENT de l\'anomalie %s.';
		$s_email_notification_title_for_action_blocks_relationship_added = 'L\'anomalie suivante a été définie comme ENFANT de l\'anomalie %s.';
		$s_email_notification_title_for_action_duplicate_of_relationship_deleted = 'L\'anomalie suivante n\'est plus définie comme DOUBLON de l\'anomalie %s.';
		$s_email_notification_title_for_action_has_duplicate_relationship_deleted = 'L\'anomalie %s n\'est plus définie comme DOUBLON de l\'anomalie suivante.';
		$s_email_notification_title_for_action_related_to_relationship_deleted = 'L\'anomalie suivante n\'est plus LIÉE à l\'anomalie %s.';
		$s_email_notification_title_for_action_dependant_on_relationship_deleted = 'L\'anomalie suivante n\'est plus définie comme PARENT de l\'anomalie %s.';
		$s_email_notification_title_for_action_blocks_relationship_deleted = 'L\'anomalie suivante n\'est plus définie comme ENFANT de l\'anomalie %s.';
		$s_email_notification_title_for_action_relationship_child_resolved = 'L\'anomalie LIÉE %s a été RÉSOLUE.';
		$s_email_notification_title_for_action_relationship_child_closed = 'L\'anomalie LIÉE %s a été FERMÉE.';
		
		$s_email_bug = 'Identifiant de l\'anomalie';
		$s_bug_history = 'Historique';
		$s_new_bug = 'Ouvert';
		$s_change = 'Modifications';
		$s_date_modified = 'Date';

$s_verify_change_password = 'Vous devez initialier votre mot de passe afin de compl&eacute;ter votre inscription.';

?>
custom_strings_inc.php (7,359 bytes)
atrol

atrol

2018-06-26 09:00

developer   ~0060172

I attached my custom_strings_inc.php for information but it seems now all is good.

I just wanted to check if you have multiple languages in it, as the way to deal with it has changed.
There is just french, so there is no problem.

Issue History

Date Modified Username Field Change
2018-06-25 03:18 FeelGood New Issue
2018-06-25 03:18 FeelGood File Added: mantis.PNG
2018-06-25 03:26 atrol Status new => feedback
2018-06-25 03:26 atrol Note Added: 0060134
2018-06-25 03:28 atrol Relationship added related to 0024189
2018-06-25 03:42 FeelGood Note Added: 0060135
2018-06-25 03:42 FeelGood Status feedback => new
2018-06-25 03:45 atrol Status new => feedback
2018-06-25 03:45 atrol Note Added: 0060136
2018-06-25 03:59 FeelGood Note Added: 0060137
2018-06-25 03:59 FeelGood Status feedback => new
2018-06-25 04:05 atrol Status new => feedback
2018-06-25 04:05 atrol Note Added: 0060138
2018-06-25 04:30 FeelGood Note Added: 0060139
2018-06-25 04:30 FeelGood Status feedback => new
2018-06-25 04:44 atrol Assigned To => atrol
2018-06-25 04:44 atrol Status new => resolved
2018-06-25 04:44 atrol Resolution open => no change required
2018-06-25 04:44 atrol Note Added: 0060140
2018-06-25 05:14 FeelGood Note Added: 0060143
2018-06-25 10:03 FeelGood Note Added: 0060151
2018-06-25 10:15 atrol Assigned To atrol =>
2018-06-25 10:15 atrol Status resolved => feedback
2018-06-25 10:15 atrol Resolution no change required => reopened
2018-06-25 10:15 atrol Note Added: 0060152
2018-06-25 10:41 FeelGood File Added: mantis-2.PNG
2018-06-25 10:41 FeelGood Note Added: 0060154
2018-06-25 10:41 FeelGood Status feedback => new
2018-06-25 11:11 atrol Status new => feedback
2018-06-25 11:11 atrol Note Added: 0060155
2018-06-25 11:34 FeelGood Note Added: 0060156
2018-06-25 11:34 FeelGood Status feedback => new
2018-06-25 14:30 atrol Status new => feedback
2018-06-25 14:30 atrol Note Added: 0060157
2018-06-26 03:18 FeelGood Note Added: 0060159
2018-06-26 03:18 FeelGood Status feedback => new
2018-06-26 03:32 atrol Status new => feedback
2018-06-26 03:32 atrol Note Added: 0060160
2018-06-26 04:38 FeelGood Note Added: 0060162
2018-06-26 04:38 FeelGood Status feedback => new
2018-06-26 04:38 FeelGood File Added: mantis-3.PNG
2018-06-26 04:38 FeelGood Note Added: 0060163
2018-06-26 04:48 atrol Status new => feedback
2018-06-26 04:48 atrol Note Added: 0060164
2018-06-26 06:40 FeelGood Note Added: 0060168
2018-06-26 06:40 FeelGood Status feedback => new
2018-06-26 08:04 atrol Status new => feedback
2018-06-26 08:04 atrol Note Added: 0060170
2018-06-26 08:48 FeelGood File Added: custom_strings_inc.php
2018-06-26 08:48 FeelGood Note Added: 0060171
2018-06-26 08:48 FeelGood Status feedback => new
2018-06-26 09:00 atrol Assigned To => atrol
2018-06-26 09:00 atrol Status new => resolved
2018-06-26 09:00 atrol Resolution reopened => no change required
2018-06-26 09:00 atrol Note Added: 0060172
2018-07-07 15:17 atrol Status resolved => closed